package com.seryx.test;

import static javax.persistence.GenerationType.SEQUENCE;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

@Entity
@Table(name = "A")
public class A implements Serializable {

	private short ida;
	private B b;


	public A() {}


	public A(B b) {
		this.b = b;
	}


	@SequenceGenerator(name = "gen_a", sequenceName = "seq_a_id", allocationSize = 1)
	@Id
	@GeneratedValue(strategy = SEQUENCE, generator = "gen_a")
	@Column(name = "IDA")
	public short getIda() {
		return ida;
	}


	public void setIda(short ida) {
		this.ida = ida;
	}


	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "B")
	public B getB() {
		return b;
	}


	public void setB(B b) {
		this.b = b;
	}
}
